Subject: Re: Anonymous ftp on 1.3.9
From: Andrew DeFaria <[email-masked]>
To: [email-masked]
Date: Fri, 22 Mar 2002 16:17:02 -0800
Newsgroups: gmane.os.cygwin

Pavel Tsekov wrote:

> Friday, March 22, 2002, 9:46:31 AM, you wrote:
> 
>>>>>>What exactly isn't working ?
>>>>>>
>>>>>>
>>>>AD> adefaria:/bin/ftp adefaria
>>>>AD> Connected to adefaria.SALIRA.COM.
>>>>AD> 220- Welcome to adefaria's ftp service
>>>>AD> 220 adefaria FTP server (GNU inetutils 1.3.2) ready.
>>>>AD> Name (adefaria:adefaria): anonymous
>>>>AD> 331 Guest login ok, send your complete e-mail address as password.
>>>>AD> Password:
>>>>AD> 530 Login incorrect.
>>>>AD> /bin/ftp: Login failed.
>>>>AD> Remote system type is UNIX.
>>>>AD> Using binary mode to transfer files.
>>>>ftp>>
>>>>
> 
> Ok - check if the /etc/passwd, /etc/group files a world readable.

They are.

> Do you have ftp user created in your Windows database or you mapped
> the ftp user in /etc/passwd to the Windows Guest user?

As I've said before, this was working then stopped working. The ftp
user was already in the domain. But this led me to thinking and I 
checked out the ftp user in the domain and lo and behold, guess what? 
It's password expired 2/15/2002! Just about the time this went flakey. 
Well that explains that! This was on Windows 2000 BTW.

Now to get it working on my home PC where there is no domain controller. 
This is on Windows XP.

> I've
> determined that creating a user without a password to be used by
> ftpd doesnt work on WinXP (maybe others too but I dont have access to test).
> Or much better would be to say - a user without a pass cannot log in
> into ftpd on WinXP Home. I can reproduce this behaviours each time...

Funny my experience is the opposite. I turned on the Guest account then 
edited my /etc/passwd to change "Guest" to "ftp" in the username field 
only and set the home directory to point to my FTP area. At this point 
"Guest" does not have a password. Anonymous ftp works but then again so 
does a telnet as user ftp without a password! Funny thing is that 
anonymous ftp does not show the contents of my FTP area while telneting
in as ftp does!

Now if I put a password on the Guest account then telneting in as ftp
requires that password. But now anonymous ftping doesn't!

Any ideas? I want to set up anonymous ftp but I don't want to leave
myself wide open to do so.

> PT> Ok, I was able to reproduce this behaviour on  my WinXP Home
> PT> Edition... So it seems there is some kind of a problem (at least for me and you).
> PT> For the record I'm running 1.3.10 and inetutils 1.3.2-17.
> 
> This was my first impression - later I've determined what I've said
> above.
> 
> PT> I got the sources for inetutils and I'm going to debug it this night.
> 
> Well, I did ... I learned many things :) i.e. the little secret about
> /etc/passwd and /etc/group for exmaple :) (Yes, this is not in the
> FAQ!)

And what might that be?

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/